//
//  AppDelegate.m
//  PHPApiTestProj
//
//  Created by Lynn on 12-11-12.
//  Copyright (c) 2012年 WiMi. All rights reserved.
//
#import "ShareData.h"
#import "AppDelegate.h"
#import "PhpApiViewController.h"

@implementation AppDelegate

@synthesize window = _window;

- (void)dealloc
{
    [_window release];
    [super dealloc];
}

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    //注册设备推送通知
    [[UIApplication sharedApplication]registerForRemoteNotificationTypes:
                                                 (UIRemoteNotificationTypeAlert |
                                                  UIRemoteNotificationTypeBadge |
                                                  UIRemoteNotificationTypeSound)];
    
    self.window = [[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]] autorelease];
    PhpApiViewController *phpApiViewCtr = [[PhpApiViewController alloc]init];
    self.window.rootViewController      = phpApiViewCtr;
    self.window.backgroundColor         = [UIColor whiteColor];
    [self.window makeKeyAndVisible];
    [phpApiViewCtr release];
    
    return YES;
}

- (void)application:(UIApplication *)application didRegisterForRemoteNotificationsWithDeviceToken:(NSData *)deviceToken
{
    NSData *curDevToken = [[NSUserDefaults standardUserDefaults] objectForKey:LR_DEVICE_TOKEN];
    
    /*
     *deviceToken更新通知服务器
     */
    if (![curDevToken isEqualToData:deviceToken])
    {
        NSLog(@"This is new DeviceToken");
    }
    NSLog(@"deviceToken:%@", deviceToken);
    
    [[NSUserDefaults standardUserDefaults] setObject:deviceToken forKey:LR_DEVICE_TOKEN];
}

- (void) application:(UIApplication *)application didFailToRegisterForRemoteNotificationsWithError:(NSError *)error
{
    NSLog(@"%@", [NSString stringWithFormat: @"Error: %@", error]);
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
